<ion-header class="ion-text-center">
  <ion-toolbar>
    <ion-title> Clientes</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-text-center">
  <form (ngSubmit)="clientForm(fRegister)" #fRegister="ngForm" id="fRegister">
    <ion-item>
      <ion-label position="floating">Nombre completo:</ion-label>
      <ion-input type="text" [(ngModel)]="client.longname" name="longname" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Direccion:</ion-label>
      <ion-input type="text" [(ngModel)]="client.direction" name="direction" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Ciudad:</ion-label>
      <ion-input type="text" [(ngModel)]="client.city" name="city" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Telefóno:</ion-label>
      <ion-input type="number" [(ngModel)]="client.phone" name="phone" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Nombre de la tienda:</ion-label>
      <ion-input type="text" [(ngModel)]="client.name_store" name="name_store" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label >Obtener ubicación:</ion-label>
      <ion-button size="small"  type="button" (click)="getLocation()">Obtener ubicacion</ion-button>
      <ion-checkbox slot="end" id="location" required></ion-checkbox>
    </ion-item>
    <ion-button size="small" expand="block" type="submit">Agregar</ion-button>
  </form>
  </ion-content>
 

